from celery import shared_task


@shared_task
def send_tg_message(user_id, message, **kwargs):
    from tg_bot.bot import bot_sync as bot

    if user_id is None:
        return

    if 'state' in kwargs:
        bot.set_state(user_id, kwargs.pop('state'))

    bot.send_message(user_id, message, **kwargs)
